<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>CORK Admin Template - Forms Basic</title>
    <%-include('./partials/header')%>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
</head>

<body class="sidebar-noneoverflow" data-spy="scroll" data-target="#navSection" data-offset="100">

    <!-- BEGIN LOADER -->
    <div id="load_screen">
        <div class="loader">
            <div class="loader-content">
                <div class="spinner-grow align-self-center"></div>
            </div>
        </div>
    </div>
    <!--  END LOADER -->

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar')%>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="cs-overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">
                <div class="container">

                    <div class="row layout-top-spacing">

                        <div id="basic" class="layout-spacing col-12">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                            <h4>ข้อมูลลูกค้า</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area">
                                    <form method="post">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-4 col-6 ">
                                                        <div class="form-group">
                                                            <label for="degree3">ชื่อ</label>
                                                            <input type="text" class="form-control" id="first_name"
                                                                value="">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4 col-6">
                                                        <div class="form-group">
                                                            <label for="degree4">นามสกุล</label>
                                                            <input type="text" class="form-control" id="last_name"
                                                                value="">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label for="degree4">อีเมลล์</label>
                                                            <input type="email" class="form-control" id="email"
                                                                value="">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label for="degree4">เบอร์โทร</label>
                                                            <input type="text" class="form-control" id="tel"
                                                                value="">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <label for="degree4">เบอร์โทรสำรอง</label>
                                                            <input type="text" class="form-control" id="tel2"
                                                                value="">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="degree2">ที่อยู่</label>
                                                    <input type="text" class="form-control" id="address">
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-3 col-6">
                                                        <div class="form-group">
                                                            <label for="degree3">ตำบล</label>
                                                            <input type="text" class="form-control" id="subdistrict"
                                                                value="">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 col-6">
                                                        <div class="form-group">
                                                            <label for="degree4">อำเภอ</label>
                                                            <input type="text" class="form-control" id="district"
                                                                value="">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 col-6">
                                                        <div class="form-group">
                                                            <label for="degree4">จังหวัด</label>
                                                            <input type="text" class="form-control" id="province"
                                                                value="">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-3 col-6">
                                                        <div class="form-group">
                                                            <label for="degree4">รหัสไปรษณีย์</label>
                                                            <input type="text" class="form-control" id="zipcode"
                                                                value="">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>การชำระเงิน</label>
                                                            <select class="form-control" id="payment">
                                                                <option value="0">เลือกประเภทการชำระเงิน</option>
                                                                <% payment.forEach((element)=>{ %>
                                                                    <option value="<%=element.id %>"><%=element.payment_name %></option>
                                                                <% }) %>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div id="transfer" class="col-md-3 payment" hidden>
                                                        <div class="form-group">
                                                            <label>ธนาคาร</label>
                                                            <select class="form-control" id="bank">
                                                                <% bank.forEach((element)=>{ %>
                                                                    <option value="<%=element.id %>"><%=element.bank_name %></option>
                                                                <% }) %>
                                                            </select>
                                                        </div>
                                                        <label class="custom-file-container__custom-file">
                                                            <input type="file"
                                                                class="custom-file-container__custom-file__custom-file-input"
                                                                multiple>
                                                            <input type="hidden" name="MAX_FILE_SIZE"
                                                                value="10485760" />
                                                            <span
                                                                class="custom-file-container__custom-file__custom-file-control"></span>
                                                        </label>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <div class="form-group">
                                                            <label>ช่องทางลูกค้า</label>
                                                            <select class="form-control" id="Channel">
                                                                <option value="0">เลือกช่องทางลูกค้า</option>
                                                                <% Channel.forEach((element)=>{ %>
                                                                    <option value="<%=element.id %>"><%=element.channel_name %></option>
                                                                <% }) %>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div id='Code_MKP' class="col-md-3 Channel" hidden>
                                                        <div class="form-group">
                                                            <label for="degree4">หมายเลขคำสั่งซื้อ(MKP)</label>
                                                            <input type="text" class="form-control" id="MKP_code"
                                                                value="">
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="degree3">ชื่อช่องทางลูกค้า</label>
                                                            <input type="text" class="form-control" id="channel_remak"
                                                                value="" placeholder="ชื่อ Line/FB ลูกค้า">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label for="degree3">หมายเหตุ</label>
                                                            <input type="text" class="form-control" id="remak"
                                                                value="">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                            </div>
                        </div>

                        <div class="layout-spacing col-12">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-sm-12 col-12">
                                            <h4>เลือกสินค้า</h4>
                                        </div>
                                    </div>
                                </div>
                                <div class="widget-content widget-content-area">
                                    <div class="col-12 row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <select class="form-control mb-4" id="promotion">
                                                    <option value="0">เลือกโปรโมชั่น</option>
                                                    <% promotion.forEach((element)=>{ %>
                                                        <option value="<%=element.promotion_code %>"><%=element.promotion_name %></option>
                                                    <% }) %>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-3 mb-4 col-12">
                                            <input class="text-center" id="amount" type="text" value="1"
                                                name="demo3_21">
                                        </div>
                                        <div class="col-md-3 col-6">
                                            <button class="btn btn-success mt-1 mb-4" id="add_item">เพิ่ม Order</button>
                                        </div>
                                        <div class="col-md-2 col-6 text-right">
                                            <button
                                                    class="btn btn-warning mt-1 mb-4" id="add_delivery">เพิ่มค่าจัดส่ง</button>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="table-responsive">
                                            <table class="table mb-4" id="cart">
                                                <thead>
                                                    <tr>
                                                        <th>ชื่อสินค้า</th>
                                                        <th class="text-center">จำนวน</th>
                                                        <th class="text-center">ราคาสินค้า</th>
                                                        <th class="text-center">ราคารวม</th>
                                                        <th class="text-center"></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>

                                        </div>

                                    </div>
                                    <div class="text-price">
                                        <div class="row ">
                                            <div class="col-md-6 col-6 text-left">
                                                <h5>ค่าสินค้า</h5>
                                            </div>
                                            <div class="col-md-6 col-6 text-right">
                                                <h5 id="total_promotion">0 ฿ </h5>
                                            </div>
                                        </div>
                                        <div class="row delivery" hidden>
                                            <div class="col-md-10 col-8 mt-2 text-left">
                                                <h5>ค่าส่ง</h5>
                                            </div>
                                            <div class="col-md-2 col-4 text-right">
                                                <div class="form-group">
                                                    <input type="number" class="form-control text-right" value="0" id="delivery" />
                                                </div>
                                                <!-- <h5 id="delivery">0 ฿ </h5> -->
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6 col-6 text-left">
                                                <h5>ยอดชำระ</h5>
                                            </div>
                                            <div class="col-md-6 col-6 text-right">
                                                <h4 class="text-danger" id="total">0 ฿</h4>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        <div class="layout-spacing col-12">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-content widget-content-area">
                                    <center><button class="btn btn-success mt-1 mb-4" id="check_order">บันทึก</button>
                                    </center>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2023 <a target="_blank" href="https://www.awbg.co.th/"> Absolute Well Being
                            Group Co.,Ltd.</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg> LISH THAILAND</p>
                </div>
            </div>
        </div>
        <!--  END CONTENT AREA  -->

    </div>
    <!-- END MAIN CONTAINER -->



    <%-include('./partials/scripts')%>
    <script type="/text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/zip.js/zip.js"></script>
    <!-- / dependencies for zip mode -->
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/JQL.min.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/typeahead.bundle.js"></script>
    <script type="text/javascript" src="/assets/js/jquery.Thailand.js/dist/jquery.Thailand.min.js"></script>
    <script>
        $.Thailand({
            database: '/assets/js/jquery.Thailand.js/database/geodb.json', 
            $district: $('[id="subdistrict"]'),
            $amphoe: $('[id="district"]'),
            $province: $('[id="province"]'),
            $zipcode: $('[id="zipcode"]'),
        });


        let cart = []
        let promotion = []
        
        $(document).ready(function () {
            '<% prmotion_detail.forEach((element)=>{ %>'
                promotion.push({promotion_name:'<%=element.promotion_name%>',
                                promotion_code:'<%=element.promotion_code%>',
                                price:'<%=element.price%>'})
            '<% }) %>'
            $('#Manage').addClass('active')
            $('#Manage > a').attr('aria-expanded',true)
            App.init();
            let order_code = '<%=order_code %>'
            if(order_code != '0'){
                axios.get('/ManageOrder/get_order'+order_code).then((respose)=>{
                    let data_order = respose.data.order[0]
                    let order_details = respose.data.order_details
                    order_details.forEach((element)=>{
                        add_cart(element.promotion_code,element.qty_promotion)
                    })
                    $('#first_name').val(data_order.first_name)
                    $('#last_name').val(data_order.last_name)
                    $('#tel').val(data_order.tel)
                    $('#tel2').val(data_order.tel2)
                    $('#email').val(data_order.email)
                    $('#address').val(data_order.address)
                    $('#subdistrict').val(data_order.subdistrict)
                    $('#district').val(data_order.district)
                    $('#province').val(data_order.province)
                    $('#zipcode').val(data_order.zipcode)
                    $('#payment').val(data_order.payment)
                    $('#bank').val(data_order.bank)
                    $('#Channel').val(data_order.social)
                    $('#MKP_code').val(data_order.marketplace_tracking)
                    $('#channel_remak').val(data_order.channel_remak)
                    $('#remak').val(data_order.remak)
                    $('#delivery').val(parseInt(data_order.freight))
                    if(parseInt(data_order.freight) != 0){$('.delivery')[0].hidden = false}
                    if(parseInt(data_order.payment) == 2){$('.payment').removeAttr('hidden')}
                    if(parseInt(data_order.social) == 4 || parseInt(data_order.social) == 5){$('.Channel').removeAttr('hidden')}
                    show_cart()
                })
            }
        });

        let transfer = document.getElementById('payment')
        transfer.addEventListener('change',(e)=>{
            if(e.target.value == 2){
                $('.payment').removeAttr('hidden')
            }else{
                $('.payment').attr('hidden',true)
            }
        })

        let transport = document.getElementById('Channel')
        transport.addEventListener('change',(e)=>{
            if(e.target.value == 4 || e.target.value == 5){
                $('.Channel').removeAttr('hidden')
            }else{
                $('.Channel').attr('hidden',true)
            }
        })

        document.getElementById('promotion').addEventListener('change',(e)=>{$('#amount').val(1)})

        document.getElementById('add_delivery').addEventListener('click',(event)=>{
            if($('.delivery')[0].hidden == true){
                $('.delivery')[0].hidden = false
            }else{
                $('.delivery')[0].hidden = true
                $('#delivery').val(0)
            }
        })

        document.getElementById('delivery').addEventListener('change',(event)=>{
            show_cart()
        })

        document.getElementById('add_item').addEventListener('click',(e)=>{
            add_cart($('#promotion').val(),$('#amount').val())
        })

        function add_cart(promotion_code,amount){
            if(parseInt(promotion_code) != 0 && parseInt(amount) != 0){
                let check = cart.filter(element=>element.promotion_code==promotion_code)
                if(check.length == 0){
                    let promotion_detail = promotion.filter(element=>element.promotion_code===promotion_code)
                    console.log(promotion_code,promotion[0].promotion_code)
                    cart.push({promotion_name:promotion_detail[0].promotion_name,promotion_code:promotion_detail[0].promotion_code,amount:parseInt(amount),price:promotion_detail[0].price})
                }else{
                    cart.filter(element=>{element.promotion_code==promotion_code ? element.amount += parseInt(amount) : ''})
                }
                show_cart()
            }else{
                Swal.fire('กรุณาเลือกโปรชั่นและจำนวนให้ถูกต้อง','','warning')
            }
        }

        function delete_cart(promotion_code){
            let check = cart.findIndex(element=>element.promotion_code===promotion_code);
            cart.splice(check, 1)
            show_cart()
        }

        function show_cart(){
            let table_cart = $('#cart > tbody')
            table_cart.empty()
            let cart_show = ``
            let total = 0
            let delivery = parseInt($('#delivery').val())
            cart.forEach((element)=>{
                cart_show += `<tr>
                                <td>${element.promotion_name}</td>
                                <td class="text-center">${element.amount}</td>
                                <td class="text-center">${element.price} ฿</td>
                                <td class="text-center">${element.price*element.amount} ฿</td>
                                <td class="text-center">
                                    <a href="javascript:void(0);" data-toggle="tooltip"
                                        data-placement="top" title="Delete" onclick="delete_cart('${element.promotion_code}')"><svg
                                            xmlns="http://www.w3.org/2000/svg"
                                            width="24" height="24" viewBox="0 0 24 24"
                                            fill="none" stroke="currentColor"
                                            stroke-width="2" stroke-linecap="round"
                                            stroke-linejoin="round"
                                            class="feather feather-trash-2">
                                            <polyline points="3 6 5 6 21 6">
                                            </polyline>
                                            <path
                                                d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2">
                                            </path>
                                            <line x1="10" y1="11" x2="10" y2="17">
                                            </line>
                                            <line x1="14" y1="11" x2="14" y2="17">
                                            </line>
                                        </svg>
                                    </a>
                                </td>
                            </tr>`
                total += parseInt(element.price)*parseInt(element.amount)
            })
            $('#total_promotion').text(`${total} ฿`)
            $('#total').text(`${parseInt(total)+parseInt(delivery)} ฿`)
            table_cart.append(cart_show)
        }

        document.getElementById('check_order').addEventListener('click',(e)=>{
            let check = true
            let input_data = $('input')
            for(let i = 0;i < 14;i++){
                if(i != 4){
                    if(input_data[i].value == '' && input_data[i].id != ''){
                        check = false
                        Swal.fire('','กรุณากรอกข้อมูลลูกค้าให้ถูกต้อง','warning')
                    }
                }
            }
            if(check){
                if($('#payment').val() == 0){Swal.fire('กรุณาเลือกการชำระเงิน','','warning');check = false}
                if($('#Channel').val() == 0){Swal.fire('กรุณาเลือกช่องทางลูกค้า','','warning');check = false}
                if($('#payment').val() == 2 && '<%=order_code %>' == '0'){
                    if($('input[type=file]')[0].files.length == 0 ){check = false;Swal.fire('กรุณากรอกอัพโหลดรูปสลิป','','warning')}
                }
                if(cart.length == 0){Swal.fire('กรุณาเพิ่มโปรโมชั่น','','warning');check = false}
                if(check){
                    let order_code = '<%=order_code %>'
                    let form = new FormData()
                    let total = 0
                    let file = $('input[type=file]')[0].files
                    form.append('first_name',$('#first_name').val())
                    form.append('last_name',$('#last_name').val())
                    form.append('tel',$('#tel').val())
                    form.append('tel2',$('#tel2').val())
                    form.append('email',$('#email').val())
                    form.append('address',$('#address').val())
                    form.append('subdistrict',$('#subdistrict').val())
                    form.append('district',$('#district').val())
                    form.append('province',$('#province').val())
                    form.append('zipcode',$('#zipcode').val())
                    form.append('payment',$('#payment').val())
                    form.append('bank',$('#bank').val())
                    form.append('Channel',$('#Channel').val())
                    form.append('MKP_code',$('#MKP_code').val())
                    form.append('channel_remak',$('#channel_remak').val())
                    form.append('remak',$('#remak').val())
                    form.append('delivery',$('#delivery').val())
                    form.append('file1',file[0])
                    form.append('order_code',order_code)
                    form.append('shop_code','<%=locals.shop%>')
                    form.append('shop_id','<%=locals.shop_id%>')
                    form.append('cart_len',cart.length)
                    cart.forEach((element)=>{
                        total += parseInt(element.price)*parseInt(element.amount)
                        form.append('promotion_code',element.promotion_code)
                        form.append('price',element.price)
                        form.append('amount',element.amount)
                    })
                    form.append('total',total)
                    if(order_code != 0){
                        update_order(form)
                    }else{
                        insert_order(form)
                    }
                    
                }
            }
            
        })

        function insert_order(form){
            $.ajax({
                type: 'POST',
                url: '/ManageOrder/insert_order',
                processData: false,
                contentType: false,
                data: form, // data type expected from server
                success: function (data) {
                    if(data.Message == 'Success'){
                        Swal.fire('เพิ่มเรียบร้อย','','success').then(()=>{
                            window.close()
                            window.location = '/ManageOrder'
                        })
                    }else{
                        Swal.fire('เพิ่มไม่สำเร็จ',data.Message,'error')
                    }
                }
            });
            console.log(Object.fromEntries(form))
        }

        function update_order(form){
            $.ajax({
                type: 'POST',
                url: '/ManageOrder/update_order',
                processData: false,
                contentType: false,
                data: form, // data type expected from server
                success: function (data) {
                    if(data.Message == 'Success'){
                        Swal.fire('อัพเดทเรียบร้อย','','success').then(()=>{
                            window.close()
                            window.location = '/ManageOrder'
                        })
                    }else{
                        Swal.fire('อัพเดทไม่สำเร็จ',data.Message,'error')
                    }
                }
            });
            console.log(Object.fromEntries(form))
        }
    </script>
</body>

</html>